<%@ page language="VB" autoeventwireup="false" inherits="parrot_admin_Customerserver, App_Web_admin_customerserver.aspx.25f04327" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>
    <%if ubb.query_string("customer_name")<>"" then %>
    您正在与 游客(<%=ubb.query_string("customer_name") %>) 交谈中....
    <%else%>
    欢迎使用红鹦鹉在线客服系统！请在右边列表中选择用户进行对话。
    <%end if%>
    </title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<script charset="utf-8" src="../kindeditor/kindeditor.js" type="text/javascript"></script>
<script charset="utf-8" src="../kindeditor/lang/zh_CN.js" type="text/javascript"></script>
<style type="text/css">
<!--
body {
	margin-left: 2px;
	margin-top: 1px;
	margin-right: 2px;
	margin-bottom: 1px;
}
.information_text {
	background-image: url(image/img-2.JPG);
	height: 298px;
	width: 424px;
	overflow: auto;
	font-size: 12px;
	line-height: 25px;
	margin: 5px;
	padding: 5px;
	bottom:0px;
	background-attachment: scroll;
	background-repeat: repeat-x;
	background-color: #FFFFFF;
}

.information_fire {
	background-image: url(image/img-2.JPG);
	height: 173px;
	width: 434px;
	margin-right: 5px;
	margin-bottom: 5px;
	margin-left: 5px;
	font-size: 12px;
	line-height: 25px;
}
.left_ad {
	background-image: url(image/img-2.JPG);
	height: 486px;
	width: 208px;
	margin-top: 5px;
	margin-right: 5px;
	margin-bottom: 5px;
	font-size: 12px;
	line-height: 25px;
	overflow: auto;
    bottom:0px;
   
}
.table_button{
	position: absolute;
	text-align: left;
	z-index: 100;
	float: left;
	margin-top: -310px;
	margin-left: 335px;
	font-size: 12px;
	width: 80px;
	}
-->
</style>
<link href="../web_css/string.css" rel="stylesheet" type="text/css" />
<script language="javascript" type="text/javascript">
    //用于创建XMLHttpRequest对象
    function createXmlHttp() {
        //根据window.XMLHttpRequest对象是否存在使用不同的创建方式
        if (window.XMLHttpRequest) {
            xmlHttp = new XMLHttpRequest(); //FireFox、Opera等浏览器支持的创建方式
        } else {
            xmlHttp = new ActiveXObject("Microsoft.XMLHTTP"); //IE浏览器支持的创建方式
        }
    }

    //直接通过XMLHttpRequest对象获取远程网页源代码
    function getSource() {
        var url = 'admin_Customerserver_content.ashx?catgory=cantent&customer_name=<%=ubb.query_string("customer_name")%>&temp=' + Math.random(); //获取目标地址信息

        createXmlHttp(); //创建XMLHttpRequest对象
        xmlHttp.onreadystatechange = writeSource; //设置回调函数
        xmlHttp.open("GET", url, true);
        xmlHttp.send(null);
    }

    //将远程网页源代码写入页面文字区域
    function writeSource() {
        if (xmlHttp.readyState == 4) {
            document.getElementById("source").innerHTML = xmlHttp.responseText;
        }
    }

    var s = setInterval("getSource()", 2500);

    //=======================================================

    //用于创建XMLHttpRequest对象
    function createXmlHttps() {
        //根据window.XMLHttpRequest对象是否存在使用不同的创建方式
        if (window.XMLHttpRequest) {
            xmlHttps = new XMLHttpRequest(); //FireFox、Opera等浏览器支持的创建方式
        } else {
            xmlHttps = new ActiveXObject("Microsoft.XMLHTTP"); //IE浏览器支持的创建方式
        }
    }

    //直接通过XMLHttpRequest对象获取远程网页源代码
    function getSources() {
        var urls = 'admin_Customerserver_content.ashx?catgory=item&temp=' + Math.random(); //获取目标地址信息

        createXmlHttps(); //创建XMLHttpRequest对象
        xmlHttps.onreadystatechange = writeSources; //设置回调函数
        xmlHttps.open("GET", urls, true);
        xmlHttps.send(null);
    }

    //将远程网页源代码写入页面文字区域
    function writeSources() {
        if (xmlHttps.readyState == 4) {
            document.getElementById("customer_item").innerHTML = xmlHttps.responseText;
        }
    }

    var t = setInterval("getSources()", 1500);


    //=======================================================


    function sc() {
        var e = document.getElementById("information_table")
        e.scrollTop = e.scrollHeight;
    }


    function check() {
        var lee = document.forms["form1"].lee;
        if (lee.checked == true) {
            sc();
        }
    }

    var s = setInterval("check()", 1000);


    var editor;
    KindEditor.ready(function (K) {
        editor = K.create('textarea[name="TextBox1"]', {
            resizeType: 0,
            newlineTag: "br",
            allowPreviewEmoticons: false,
            allowImageUpload: false,
            afterChange: function () {
                var self = this;
                document.getElementById('TextBox1').value = self.html();
            },
            items: [
						'source', 'fontname', 'fontsize', '|', 'forecolor', 'hilitecolor', 'emoticons']
        });

    });

</script>
</head>
<body >
    <form id="form1" runat="server">
        <table width="655" border="0" cellpadding="0" cellspacing="1" bgcolor="#176dbf">
           <tr>
             <td height="500" valign="top" bgcolor="a9defd"><table width="100%" border="0" cellspacing="0" cellpadding="0">
               <tr>
                 <td height="24" background="image/img-1.JPG">
                   <table border="0" cellspacing="0" cellpadding="0">
                   <tr>
                     <td width="30">&nbsp;</td>
                     <td width="340" class="string_12_ffffff">
                       <%if ubb.query_string("customer_name")<>"" then %>
    您正在与 游客(<%=ubb.query_string("customer_name") %>) 交谈中....
    <%else%>
    提示：请在右边列表中选择用户进行对话。
    <%end if%>                     </td>
                     <td align="center" class="string_12_ffffff"><asp:Button ID="Button1" runat="server" Text="强制离线" /><asp:Button ID="Button4" runat="server" Text="删除当前用户" /><asp:Button ID="Button3" runat="server" Text="删除所有用户" /></td>
                   </tr>
                 </table>
                 </td>
               </tr>
             </table>
               <table width="100%" border="0" cellspacing="0" cellpadding="0">
                 <tr>
                   <td>
              
                   <div class="information_text" id="information_table">               
                    <span id="source"></span>
                   </div>
                   <div class="table_button" id="scroll_cs_allchat">
                   <table border="0" cellpadding="0" cellspacing="0">
  <tr>
 
    <td><input type="checkbox" id="lee" checked="checked"></td>
    <td>滚屏 | <asp:LinkButton ID="LinkButton1" runat="server">清屏</asp:LinkButton></td>

  </tr>
</table>
</div>
                   <div class="information_fire">
<iframe src="admin_Customerserver_add.aspx?customer_name=<%=ubb.query_string("customer_name") %>" width="434" height="173" scrolling="No" frameborder="0" ></iframe>
                   </div>
                   
                   </td>
                   <td><div class="left_ad">
                <span id="customer_item"></span>
                   </div></td>
                 </tr>
               </table>
               
             
             </td>
           </tr>
         </table>
       
       

    </form>

</body>
</html>

